Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnProteinSequence Class Reference

gnProteinSequence is a special kind of gnSequence which can be used for RNA sequences It sets the default filters and comparators to the RNA filters and comparators. More...

`#include <gnProteinSequence.h>`

Inheritance diagram for gnProteinSequence::

List of all members.

## Public Methods
| gnProteinSequence ()
| Empty Constructor, creates an empty gnProteinSequence. More...
| gnProteinSequence (const gnSeqC *seq)
| Creates a gnProteinSequence with a single contig containing the bases in "seq". More...
| gnProteinSequence (const string &str)
| Creates a gnProteinSequence with a single contig containing the bases in "str". More...
| gnProteinSequence (const gnGenomeSpec &gngs)
| Creates a gnProteinSequence with the contigs stored in "gngs". More...
| gnProteinSequence (const gnFragmentSpec &gnfs)
| Creates a gnProteinSequence with the contigs stored in "gnfs". More...
| gnProteinSequence (const gnContigSpec &gncs)
| Creates a gnProteinSequence with the contigs stored in "gncs". More...
| gnProteinSequence (gnSeqC *bases, const gnSeqI length)
| Creates a gnProteinSequence with a single contig containing the bases in "bases". More...
| gnProteinSequence (const gnProteinSequence &seq)
| Copies the gnProteinSequence "seq". More...
## Private Attributes
gnGenomeSpec* | spec
list<const gnBaseFilter*> | filter_list
const gnCompare* | comparator

## Detailed Description

gnProteinSequence is a special kind of gnSequence which can be used for RNA sequences It sets the default filters and comparators to the RNA filters and comparators.

Definition at line 29 of file gnProteinSequence.h.

## Constructor & Destructor Documentation

gnProteinSequence::gnProteinSequence ( | )`[inline]`

| Empty Constructor, creates an empty gnProteinSequence. Definition at line 79 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const gnSeqC * seq )`[inline]`

  | Creates a gnProteinSequence with a single contig containing the bases in "seq". Parameters:
  seq | The null terminated array of base pairs to use.
Definition at line 84 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const string & str )`[inline]`

  | Creates a gnProteinSequence with a single contig containing the bases in "str". Parameters:
  str | The base pairs to use.
Definition at line 89 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const gnGenomeSpec & gngs )`[inline]`

  | Creates a gnProteinSequence with the contigs stored in "gngs". Parameters:
  gngs | the gnGenomeSpec to get contigs from.
Definition at line 94 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const gnFragmentSpec & gnfs )`[inline]`

  | Creates a gnProteinSequence with the contigs stored in "gnfs". Parameters:
  gnfs | the gnFragmentSpec to get contigs from.
Definition at line 99 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const gnContigSpec & gncs )`[inline]`

  | Creates a gnProteinSequence with the contigs stored in "gncs". Parameters:
  gncs | the gnContigSpec to get contigs from.
Definition at line 104 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | gnSeqC * bases,
| const gnSeqI length )`[inline]`

  | Creates a gnProteinSequence with a single contig containing the bases in "bases". Parameters:
  bases | The base pairs to use
  length | The length of the base pair array.
Definition at line 109 of file gnProteinSequence.h.

gnProteinSequence::gnProteinSequence ( | const gnProteinSequence & seq )`[inline]`

  | Copies the gnProteinSequence "seq". Parameters:
  seq | The gnProteinSequence to copy.
Definition at line 114 of file gnProteinSequence.h.

## Member Data Documentation

const gnCompare * gnProteinSequence::comparator`[private]`

| Reimplemented from gnSequence. Definition at line 75 of file gnProteinSequence.h.

list< const gnBaseFilter *> gnProteinSequence::filter_list<const gnBaseFilter*>`[private]`

| Reimplemented from gnSequence. Definition at line 74 of file gnProteinSequence.h.

gnGenomeSpec * gnProteinSequence::spec`[private]`

| Reimplemented from gnSequence. Definition at line 73 of file gnProteinSequence.h.

The documentation for this class was generated from the following file:

- gnProteinSequence.h